library ieee;
use ieee.std_logic_1164.all;

entity reset_synchronizer is
    port (clk: in std_logic;
          areset: in std_logic;
          areset_sync: out std_logic
         );
end entity reset_synchronizer;

architecture rtl of reset_synchronizer is
signal sync1, sync2 : std_logic;
begin
    process (clk, areset) is
    begin
        if areset = '1' then
            sync1 <= '1';
            sync2 <= '1';
        elsif rising_edge(clk) then
            sync1 <= '0';
            sync2 <= sync1;
        end if;
    end process;
    areset_sync <= sync2;
  
end architecture rtl;