library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

entity seven_segment is
    port (data : in unsigned(3 downto 0);
          leds : out std_logic_vector(6 downto 0)
         );
end entity seven_segment;

architecture behav of seven_segment is
begin
    process (data)
    begin
        case data is
            --                      6543210
            when "0000" => leds <= "0111111";
            when "0001" => leds <= "0000110";
            when "0010" => leds <= "1011011";
            when "0011" => leds <= "1001111";
            when "0100" => leds <= "1100110";
            when "0101" => leds <= "1101101";
            when "0110" => leds <= "1111101";			
            when "0111" => leds <= "0000111";
            when "1000" => leds <= "1111111";
            when "1001" => leds <= "1101111";
            when others => leds <= "-------";
        end case;
    end process;

end architecture behav;
